Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.tools.script
Class ScriptOperations.ServiceDefinition

    java.lang.Object
      oracle.ifs.core.tools.script.ScriptOperations.ServiceDefinition

Enclosing class:
  ScriptOperations

    public static final class ScriptOperations.ServiceDefinition

extends java.lang.Object

Structure holds data require to construct a single service entry property within a node.

Constructor Summary
`ScriptOperations.ServiceDefinition(java.lang.String name, ServiceConfiguration sc, boolean isActive)` Constructs a ServiceDefinition.

Method Summary
`static DomainConfiguration.DefaultServiceDefinition[]` | `prepare(ScriptOperations.ServiceDefinition[] svds)` Prepares an array of DefaultServiceDefinition[] from the specified set of ServiceDefinitions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptOperations.ServiceDefinition

    public ScriptOperations.ServiceDefinition(java.lang.String name,
                                              ServiceConfiguration sc,
                                              boolean isActive)

  Constructs a ServiceDefinition.

  Parameters:
    `name` - service configuration name identifier within node
    `sc` - service configuration
    `isActive` - whether service active within node

Method Detail

### prepare

    public static DomainConfiguration.DefaultServiceDefinition[] prepare(ScriptOperations.ServiceDefinition[] svds)

  Description copied from class: `ScriptOperations.ServiceDefinition`
  Prepares an array of DefaultServiceDefinition[] from the specified set of ServiceDefinitions.

  Parameters:
    `svds` - the ServiceDefinitions
  Returns:
    the corresponding DefaultServiceDefinitions

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD